@import url("variables.css");

<!-- Generales

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background: var(--lightBackground);
    color: var(--lightText);
}

a {
    text-decoration: none !important;
    color: var(--highlightColor);
}

a:hover {
    font-weight: bold;
}

.error {
    width: 50%;
    padding: 0.3rem;
    margin: 0 auto;
    margin-top: 1rem;
    background: red;
    border-radius: 0.2rem;
    border-left: 8px solid color-mix(in srgb, red, 20%);
    font-weight: 700;
    text-transform: uppercase;
}

.documento {
    width: 100%;
    margin: 0px;
    padding: 50px;
    margin-top: 50px;
}

.ajuste {
    margin: 0px auto;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: center;
}

.celdaMedia {
    width: 50%;
}

.celdaTercio {
    width: 33%;
}

.celdaDosTercios {
    width: 66%;
}

<!-- Paginación 

.indice {
    text-align: center;
}

.indice .paginaIndice {
    padding: 2px;
}

.indice .paginaActual {
    padding: 2px;
    background: green;
    color: white;
}

.botonIndiceAnterior {
    margin-right: 10px;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border: 1px solid darkgreen;
    background: lightgreen;
    border-radius: 7px;
    cursor: pointer;
}

.botonIndiceSiguiente {
    margin-left: 10px;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border: 1px solid darkgreen;
    background: lightgreen;
    border-radius: 7px;
    cursor: pointer;
}

.formulario {
    width: 60%;
    padding: 40px;
    border: 1px solid #777;
    border-radius: 10px;
}

.formulario input, .formulario textarea, .formulario select {
    width: 90%;
    padding: 4px 10px;
    margin: 10px;
    border: 1px solid #777;
    border-radius: 5px;
}

.formulario textarea {
    width: 90%;
    height: 200px;
    padding: 10px;
}

.formulario input[type="submit"] {
    width: 150px;
    background: #1E5032;
    color: white;
    padding: 7px 10px;
    border: 1px solid #3E7052;
    border-radius: 7px;
    cursor: pointer;
    transition: all 0.5s;
}

.boton:hover, .formulario input[type="submit"]:hover {
    background: #3E7052;
}

.menu {
    display: flex;
    align-items: center;
    margin: 0px;
    padding: 0px;
}

.hamburguesa {
    width: 4rem;
    height: 4rem;
    margin-left: 1rem;
    display: block;
    cursor: pointer;
}

.contenedor-menu {
    display: flex;
    align-items: center;
    flex-direction: column;
    top: 0;
    position: absolute;
    width: 40%;
    margin-left: -70%;
    margin-top: 7rem;
    background-color: var(--fondoMenuResponsive);
    transition: all 0.5s;
    color: var(--textoMenuClaro);
    padding: 1.5rem;
    border-radius: 2rem;
    transition: all 0.5s;
}

.contenedor-menu a:hover {
    font-weight: bold;
    color: var(--textoMenuClaro);
    background: var(--textoMenuOscuro);
    border-radius: 3rem;
}

.contenedor-menu a {
    color: var(--textoMenuClaro);
}

.contenedor-menu li {
    height: 3.1rem;
    list-style: none;
    padding-left: 3rem;
    padding-bottom: 0.5rem;
    padding-right: 3rem;
    padding-top: 1rem;
    font-size: 1.2rem;
    transition: all 0.5s;
}

@media (min-width: 768px) {
    .formulario {
        width: 90%;
    }

    .formulario input, .formulario select {
        width: 40%;
    }

    .ajuste {
        justify-content: space-around;
    }

    .celdaMedia, .celtaTercio, .celdaDosTercios {
        width: 100%;
    }

    .contenedor-menu {
        width: 100%;
        flex-wrap: nowrap;
        flex-direction: row;
        margin-left: 0px;
        margin-top: 0px;
        background-color: transparent;
    }

    .contenedor-menu li {
        padding-bottom: 0;
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .hamburguesa {
        display: none;
    }
}

@media (prefers-color-scheme: dark) {
    body {
        background: var(--fondoOscuro);
        color: var(--textoOscuro);
    }

    .contenedor.menu {
        color: var(--textoMenuOscuro);
    }

    .contenedor-menu a {
        color: var(--textoMenuOscuro);
    }

    .contenedor-menu a:hover {
        color: var(--textoMenuOscuro);
        background: var(--textoMenuClaro);
    }
}